--mounting 3d model paths and texture paths 

mount_vfs_model_path (current_mod_path.."/Shapes")
mount_vfs_liveries_path (current_mod_path.."/Liveries")
mount_vfs_texture_path  (current_mod_path.."/Textures/PhantomAir")

PhantomAir =  {
        
	Name 				=   'PhantomAir',
	DisplayName			= _('PhantomAir'),
	Cannon = "yes",
	HumanCockpit 		= true,
	HumanCockpitPath    = current_mod_path..'/Cockpit/Scripts/',--current_mod_path..'/Cockpit/
	
	Picture 			= "PhantomAir.png",
	Rate 				= 40, -- RewardPoint in Multiplayer
	Shape 				= "PhantomAir",
	
	shape_table_data 	= 
	{
		{
			file  	 	= 'PhantomAir';
			life  	 	= 20; -- lifebar
			vis   	 	= 3; -- visibility gain.
			desrt    		= 'PhantomAir-oblomok'; -- Name of destroyed object file name
			fire  	 	= { 300, 2}; -- Fire on the ground after destoyed: 300sec 2m
			username	= 'PhantomAir';
			index    	=  WSTYPE_PLACEHOLDER;
			--classname 	= "lLandPlane";
			--positioning = "BYNORMAL";
			--drawonmap 	= true;
		},
		{
			name  = "PhantomAir-oblomok";
			file  = "PhantomAir-oblomok";
			fire  = { 240, 2};
		},

	},
	mapclasskey 		= "P0091000024",
	attribute  			= {wsType_Air, wsType_Airplane, wsType_Fighter, WSTYPE_PLACEHOLDER ,"Fighters", "Refuelable",},
	Categories= {"{78EFB7A2-FD52-4b57-A6A6-3BF0E1D6555F}", "Interceptor",},	
	-------------------------	
		M_empty	=	14461,
		M_nominal	=	24430,
		M_max	=	28055,
		M_fuel_max	=	4864,
		H_max	=	17907,
		average_fuel_consumption	=	0.3,
		CAS_min	=	45,
		V_opt	=	256,
		V_take_off	=	58,
		V_land	=	61,
		has_afteburner	=	true,
		has_speedbrake	=	true,
		main_gear_pos = 	{-1.184,	-1.927,	2.714},
		radar_can_see_ground	=	false,
		nose_gear_pos = 	{6.157,	-2.014,	0},
		AOA_take_off	=	0.14,
		stores_number	=	9,
		bank_angle_max	=	60,
		Ny_min	=	-2,
		Ny_max	=	5.9,
		tand_gear_max	=	0.577,
		V_max_sea_level	=	322,
		V_max_h	=	640,
		tanker_type	=	0,
		wing_area	=	49.24,
		wing_span	=	11.68,
		wing_type = 2,			
		thrust_sum_max	=	16240,
		thrust_sum_ab	=	24400,
		Vy_max	=	253,
		length	=	19.2,
		height	=	5,
		flaps_maneuver	=	1,
		Mach_max	=	2.17,
		range	=	2593,
		crew_size	=	2,
		RCS	=	7,
		Ny_max_e	=	6,
		detection_range_max	=	100,
		IR_emission_coeff	=	1,
		IR_emission_coeff_ab	=	4,
		engines_count	=	2,
		wing_tip_pos = 	{-4.207,	-0.086,	5.782},
		nose_gear_wheel_diameter	=	0.754,
		main_gear_wheel_diameter	=	0.972,
		engines_nozzles = 
		{
			[1] = 
			{
				pos = 	{-4.894,	0.0,	-0.611},
				elevation	=	3.7,
				diameter	=	0.965,
				exhaust_length_ab	=	5.5,
				exhaust_length_ab_K	=	0.76,
				smokiness_level     = 	0.5, 
			}, -- end of [1]
			[2] = 
			{
				pos = 	{-4.894,	0.0,	0.611},
				elevation	=	3.7,
				diameter	=	0.965,
				exhaust_length_ab	=	5.5,
				exhaust_length_ab_K	=	0.76,
				smokiness_level     = 	0.5, 
			}, -- end of [2]
		}, -- end of engines_nozzles
		crew_members = 
		{
			[1] = 
			{
				ejection_seat_name	=	9,
				drop_canopy_name	=	41,
				pos = 	{4.763,	0.862,	0},
			}, -- end of [1]
			[2] = 
			{
				ejection_seat_name	=	9,
				drop_canopy_name	=	42,
				pos = 	{3.322,	0.978,	0},
			}, -- end of [2]
		}, -- end of crew_members
		brakeshute_name	=	0,
		is_tanker	=	false,
		air_refuel_receptacle_pos = 	{0,	0,	0},
		fires_pos = 
		{
			[1] = 	{-0.664,	-0.496,	0},
			[2] = 	{0.173,	-0.307,	1.511},
			[3] = 	{0.173,	-0.307,	-1.511},
			[4] = 	{-0.82,	0.265,	2.774},
			[5] = 	{-0.82,	0.265,	-2.774},
			[6] = 	{-0.82,	0.255,	4.274},
			[7] = 	{-0.82,	0.255,	-4.274},
			[8] = 	{-4.899,	-0.212,	0.611},
			[9] = 	{-4.899,	-0.212,	-0.611},
			[10] = 	{-0.896,	1.118,	0},
			[11] = 	{0.445,	-0.436,	0},
		}, -- end of fires_pos
		chaff_flare_dispenser = 
		{
			[1] = 
			{
				dir = 	{0,	1,	0},
				pos = 	{-5.776,	1.4,	-0.422},
			}, -- end of [1]
			[2] = 
			{
				dir = 	{0,	1,	0},
				pos = 	{-5.776,	1.4,	0.422},
			}, -- end of [2]
		}, -- end of chaff_flare_dispenser

        LandRWCategories = 
        {
            [1] = 
            {
                Name = "AircraftCarrier",
            }, -- end of [1]
        }, -- end of LandRWCategories
		MaxFuelWeight = "15245",
        MaxHeight = "20000",
        MaxSpeed = "3000",
        MaxTakeOffWeight = "41200",
        Picture = "F-4E.png",
        Rate = "30",
        Shape = "PhantomAir",
        TakeOffRWCategories = 
        {
            [1] = 
            {
                Name = "AircraftCarrier With Catapult",
            }, -- end of [1]
        }, -- end of TakeOffRWCategories
        WingSpan = "11.68",
        WorldID = 45,

       -- Countermeasures
SingleChargeTotal = 96,
CMDS_Incrementation = 3,
ChaffDefault = 48,
ChaffChargeSize = 1,
FlareDefault = 48,
FlareChargeSize = 1,
CMDS_Edit = true,
	
        CanopyGeometry = {
            azimuth = {-145.0, 145.0},
            elevation = {-50.0, 90.0}
        },

Sensors = {
RADAR = "AN/APQ-120",
IRST = "OLS-27",
OPTIC = {"TADS DTV", "TADS DVO", "TADS FLIR"},
RWR = "Abstract RWR"
},
	Failures = {
			{ id = 'asc', 		label = _('ASC'), 		enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
			{ id = 'autopilot', label = _('AUTOPILOT'), enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
			{ id = 'hydro',  	label = _('HYDRO'), 	enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
			{ id = 'l_engine',  label = _('L-ENGINE'), 	enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
			{ id = 'r_engine',  label = _('R-ENGINE'), 	enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
			{ id = 'radar',  	label = _('RADAR'), 	enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
			{ id = 'eos',  		label = _('EOS'), 		enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
			{ id = 'helmet',  	label = _('HELMET'), 	enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
			--{ id = 'mlws',  	label = _('MLWS'), 		enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
			{ id = 'rws',  		label = _('RWS'), 		enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
			{ id = 'ecm',   	label = _('ECM'), 		enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
			{ id = 'hud',  		label = _('HUD'), 		enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
			{ id = 'mfd',  		label = _('MFD'), 		enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },		
	},
	HumanRadio = {
		frequency = 127.5,  -- Radio Freq
		editable = true,
		minFrequency = 100.000,
		maxFrequency = 156.000,
		modulation = MODULATION_AM
	},
	mapclasskey = "P0091000024",
ViewSettings = {
Cockpit = {
[1] = {-- player slot 1
CockpitLocalPoint = {6.500000,1.100000,0.000000},--4.100000,1.110000,0.000000
CameraViewAngleLimits = {20.000000,90.000000},
CameraAngleRestriction = {false,90.000000,0.500000},
CameraAngleLimits = {160.000000,-75.000000,90.000000},
EyePoint = {0.010000,0.000000,0.000000},--0.090000,0.000000,0.000000
limits_6DOF = {x = {-0.020000,0.350000},y ={-0.150000,0.165000},z = {-0.170000,0.170000},roll = 90.000000},
},
}, -- Cockpit
Chase = {
LocalPoint = {-0.512000,2.790000,0.000000},
AnglesDefault = {180.000000,-8.000000},
}, -- Chase
Arcade = {
LocalPoint = {-16.812000,5.390000,0.000000},
AnglesDefault = {0.000000,-8.000000},
}, -- Arcade
},

Guns = {gun_mount("GSh_30_6", { count = 5000 },{muzzle_pos = {3.906000, 0.768000, -0.975000}}),--0.611000, -0.790000, 0.373000   --GSh_6_30K,2A38,2A14,GSh_30_6
gun_mount("GSh_30_6", { count = 5000 },{muzzle_pos = {3.906000, 0.765000, -0.975000}})
},


	Pylons =     {

 pylon(1, 0, -1.072000, -0.747000, -3.384000,
            {
                FiZ = -2.43,
            },
            {
              	{ CLSID = "{51F9AAE5-964F-4D21-83FB-502E3BFE5F8A}" },
                { CLSID = "{DB769D48-67D7-42ED-A2BE-108D566C8B1E}" },
                { CLSID = "{B83CB620-5BBE-4BEA-910C-EB605A327EF9}" },
                { CLSID = "{1C97B4A0-AA3B-43A8-8EE7-D11071457185}" },
                { CLSID = "{AB8B8299-F1CC-4359-89B5-2172E0CF4A5A}" },
                { CLSID = "{F3EFE0AB-E91A-42D8-9CA2-B63C91ED570A}" },
                { CLSID = "{FD90A1DC-9147-49FA-BF56-CB83EF0BD32B}" },
                { CLSID = "{A76344EB-32D2-4532-8FA2-0C1BDC00747E}" },
                { CLSID = "{3DFB7321-AB0E-11d7-9897-000476191836}" },
                { CLSID = "{7B4B122D-C12C-4DB4-834E-4D8BB4D863A8}" },
                { CLSID = "{3E6B632D-65EB-44D2-9501-1C2D04515405}" },
		{ CLSID = "{DB434044-F5D0-4F1F-9BA9-B73027E18DD3}" },	-- AIM-9M x2
		 { CLSID = "{C8E06185-7CD6-4C90-959F-044679E90751}" },	-- AIM-120B
                { CLSID = "{40EF17B7-F508-45de-8566-6FFECC0C1AB8}" },	-- AIM-120C
		
            }
        ),
        pylon(2, 0, 1.128000, -0.941000, -2.082000,
            {
                FiZ = -2.5,
            },
            {
                
		{ CLSID = "{DB434044-F5D0-4F1F-9BA9-B73027E18DD3}" },	-- AIM-9M x2
		 { CLSID = "{C8E06185-7CD6-4C90-959F-044679E90751}" },	-- AIM-120B
                { CLSID = "{40EF17B7-F508-45de-8566-6FFECC0C1AB8}" },	-- AIM-120C
		{ CLSID = "{ADD3FAE1-EBF6-4EF9-8EFC-B36B5DDF1E6B}" },	--MK-20
		{ CLSID = "{BCE4E030-38E9-423E-98ED-24BE3DA87C32}" },	--MK-82
            }
        ),
        pylon(3, 1, 3.350000, -0.5, -0.45,
            {
                FiX =  45,
				FiY = -0.5,
				FiZ = -0.5,
            },
            {
                { CLSID = "{8D399DDA-FF81-4F14-904D-099B34FE7918}" },
                { CLSID = "{6D21ECEA-F85B-4E8D-9D51-31DC9B8AA4EF}" },
		 { CLSID = "{C8E06185-7CD6-4C90-959F-044679E90751}" },	-- AIM-120B
                { CLSID = "{40EF17B7-F508-45de-8566-6FFECC0C1AB8}" },	-- AIM-120C
		{ CLSID = "{ADD3FAE1-EBF6-4EF9-8EFC-B36B5DDF1E6B}" },	--MK-20
		{ CLSID = "{BCE4E030-38E9-423E-98ED-24BE3DA87C32}" },	--MK-82
            }
        ),
        pylon(4, 1, -2.059000, -0.6, -1.062000,
            {
                FiZ =  2,
				FiX = -45,
            },
            {
                { CLSID = "{8D399DDA-FF81-4F14-904D-099B34FE7918}" },
		 { CLSID = "{C8E06185-7CD6-4C90-959F-044679E90751}" },	-- AIM-120B
                { CLSID = "{40EF17B7-F508-45de-8566-6FFECC0C1AB8}" },	-- AIM-120C
		{ CLSID = "{ADD3FAE1-EBF6-4EF9-8EFC-B36B5DDF1E6B}" },	--MK-20
		{ CLSID = "{BCE4E030-38E9-423E-98ED-24BE3DA87C32}" },	--MK-82
            }
        ),
        pylon(5, 0, 0.153000, -0.637000, 0.000000,
            {
                FiZ = -1.98,
            },
            {
                { CLSID = "{8B9E3FD0-F034-4A07-B6CE-C269884CC71B}" },
		 { CLSID = "{C8E06185-7CD6-4C90-959F-044679E90751}" },	-- AIM-120B
                { CLSID = "{40EF17B7-F508-45de-8566-6FFECC0C1AB8}" },	-- AIM-120C
            }
        ),
        pylon(6, 1, -2.059000, -0.6, 1.062000,
            {
                FiZ = 2,
				FiX = 45,
            },
            {
                { CLSID = "{8D399DDA-FF81-4F14-904D-099B34FE7918}" },
		 { CLSID = "{C8E06185-7CD6-4C90-959F-044679E90751}" },	-- AIM-120B
                { CLSID = "{40EF17B7-F508-45de-8566-6FFECC0C1AB8}" },	-- AIM-120C
		{ CLSID = "{ADD3FAE1-EBF6-4EF9-8EFC-B36B5DDF1E6B}" },	--MK-20
		{ CLSID = "{BCE4E030-38E9-423E-98ED-24BE3DA87C32}" },	--MK-82
            }
        ),
        pylon(7, 1, 3.350000, -0.5,  0.45,
            {
                FiX = -45,
				FiY = -0.5,
				FiZ = -0.5,
            },
            {
                { CLSID = "{8D399DDA-FF81-4F14-904D-099B34FE7918}" },
		 { CLSID = "{C8E06185-7CD6-4C90-959F-044679E90751}" },	-- AIM-120B
                { CLSID = "{40EF17B7-F508-45de-8566-6FFECC0C1AB8}" },	-- AIM-120C
		{ CLSID = "{ADD3FAE1-EBF6-4EF9-8EFC-B36B5DDF1E6B}" },	--MK-20
		{ CLSID = "{BCE4E030-38E9-423E-98ED-24BE3DA87C32}" },	--MK-82
            }
        ),
        pylon(8, 0, 1.128000, -0.941000, 2.082000,
            {
                FiZ = -2.5,
            },
            {
                
		{ CLSID = "{DB434044-F5D0-4F1F-9BA9-B73027E18DD3}" },	-- AIM-9M x2
		 { CLSID = "{C8E06185-7CD6-4C90-959F-044679E90751}" },	-- AIM-120B
                { CLSID = "{40EF17B7-F508-45de-8566-6FFECC0C1AB8}" },	-- AIM-120C
		{ CLSID = "{ADD3FAE1-EBF6-4EF9-8EFC-B36B5DDF1E6B}" },	--MK-20
		{ CLSID = "{BCE4E030-38E9-423E-98ED-24BE3DA87C32}" },	--MK-82
            }
        ),
        pylon(9, 0, -1.072000, -0.747000, 3.384000,
            {
                FiZ = -2.43,
            },
            {
               	{ CLSID = "{51F9AAE5-964F-4D21-83FB-502E3BFE5F8A}" },
                { CLSID = "{DB769D48-67D7-42ED-A2BE-108D566C8B1E}" },
                { CLSID = "{B83CB620-5BBE-4BEA-910C-EB605A327EF9}" },
                { CLSID = "{1C97B4A0-AA3B-43A8-8EE7-D11071457185}" },
                { CLSID = "{AB8B8299-F1CC-4359-89B5-2172E0CF4A5A}" },
                { CLSID = "{F3EFE0AB-E91A-42D8-9CA2-B63C91ED570A}" },
                { CLSID = "{FD90A1DC-9147-49FA-BF56-CB83EF0BD32B}" },
                { CLSID = "{A76344EB-32D2-4532-8FA2-0C1BDC00747E}" },
                { CLSID = "{3DFB7321-AB0E-11d7-9897-000476191836}" },
                { CLSID = "{7B4B122D-C12C-4DB4-834E-4D8BB4D863A8}" },
                { CLSID = "{3E6B632D-65EB-44D2-9501-1C2D04515405}" },
		{ CLSID = "{DB434044-F5D0-4F1F-9BA9-B73027E18DD3}" },	-- AIM-9M x2
		 { CLSID = "{C8E06185-7CD6-4C90-959F-044679E90751}" },	-- AIM-120B
                { CLSID = "{40EF17B7-F508-45de-8566-6FFECC0C1AB8}" },	-- AIM-120C
            }
        ),
},
	
	Tasks = {
        aircraft_task(CAP),
	aircraft_task(Escort),
      	aircraft_task(FighterSweep),
	aircraft_task(GroundAttack),
      	aircraft_task(CAS),
       	aircraft_task(AFAC),
	aircraft_task(RunwayAttack),
	aircraft_task(AntishipStrike),
    },	
	DefaultTask = aircraft_task(CAP),

	SFM_Data = {
	aerodynamics = 
		{
			Cy0	=	0,
			Mzalfa	=	4.355,
			Mzalfadt	=	0.8,
			kjx	=	2.75,
			kjz	=	0.00125,
			Czbe	=	-0.016,
			cx_gear	=	0.014,
			cx_flap	=	0.03,
			cy_flap	=	0.15,
			cx_brk	=	0.06,
			table_data = 
			{
				[1] = 	{0,	0.022,	0.07,	0.1609,	0.0001,	0.5,	30,	1.1},
				[2] = 	{0.2,	0.022,	0.07,	0.1609,	0.0001,	1.5,	30,	1.1},
				[3] = 	{0.4,	0.022,	0.07,	0.1609,	0.0001,	2.5,	30,	1.1},
				[4] = 	{0.6,	0.022,	0.073,	0.1609,	0.0001,	3.5,	30,	1.1},
				[5] = 	{0.7,	0.022,	0.076,	0.1609,	0.0001,	3.5,	28.666666666667,	1.0911111111111},
				[6] = 	{0.8,	0.022,	0.079,	0.1609,	0.0001,	3.5,	27.333333333333,	1.0822222222222},
				[7] = 	{0.9,	0.027,	0.083,	0.18,	0.0001,	3.5,	26,	1.0733333333333},
				[8] = 	{1,	0.036,	0.085,	0.2,	0.0001,	3.5,	24.666666666667,	1.0644444444444},
				[9] = 	{1.05,	0.043,	0.0855,	0.21,	0.0001,	3.5,	24,	1.06},
				[10] = 	{1.1,	0.05,	0.086,	0.22,	0.0001,	3.15,	18,	1.04},
				[11] = 	{1.2,	0.048,	0.083,	0.23,	0.0001,	2.45,	17,	1.02},
				[12] = 	{1.3,	0.045,	0.077,	0.25,	0.0001,	1.75,	16,	1},
				[13] = 	{1.5,	0.042,	0.062,	0.3,	0.0001,	1.5,	13,	0.9},
				[14] = 	{1.7,	0.039333333333333,	0.051333333333333,	0.348,	0.0001,	0.9,	12,	0.7},
				[15] = 	{1.8,	0.038,	0.046,	0.372,	0.0001,	0.86,	11.4,	0.64},
				[16] = 	{2,	0.035,	0.039,	0.42,	9.9999999999999e-006,	0.78,	10.2,	0.52},
				[17] = 	{2.2,	0.033,	0.034,	0.458,	1e-005,	0.7,	9,	0.4},
				[18] = 	{2.5,	0.03,	0.033,	0.515,	1e-005,	0.7,	9,	0.4},
				[19] = 	{3,	0.03,	0.033,	0.61,	1e-005,	0.7,	9,	0.4},
				[20] = 	{3.9,	0.03,	0.033,	0.61,	1e-005,	0.7,	9,	0.4},
			}, -- end of table_data
		}, -- end of aerodynamics
		engine = 
		{
			Nmg	=	67.5,
			MinRUD	=	0,
			MaxRUD	=	1,
			MaksRUD	=	0.85,
			ForsRUD	=	0.91,
			typeng	=	1,
			hMaxEng	=	19,
			dcx_eng	=	0.0144,
			cemax	=	1.24,
			cefor	=	2.56,
			dpdh_m	=	7000,
			dpdh_f	=	12300,
			table_data = 
			{
				[1] = 	{0,	105840,	158564},
				[2] = 	{0.2,	97000,	163000},
				[3] = 	{0.4,	89000,	168000},
				[4] = 	{0.6,	89000,	176000},
				[5] = 	{0.7,	92000,	181000},
				[6] = 	{0.8,	95000,	186000},
				[7] = 	{0.9,	100000,	193000},
				[8] = 	{1,	105000,	203000},
				[9] = 	{1.1,	105000,	215000},
				[10] = 	{1.2,	107000,	225000},
				[11] = 	{1.3,	104000,	231000},
				[12] = 	{1.5,	102000,	251000},
				[13] = 	{1.8,	99000,	261000},
				[14] = 	{2,	87000,	270000},
				[15] = 	{2.2,	31033.3,	271000},
				[16] = 	{2.5,	29944.4,	221000},
				[17] = 	{3,	27222.2,	55000},
			}, -- end of table_data
		}, -- end of engine
	},


	--damage , index meaning see in  Scripts\Aircrafts\_Common\Damage.lua
	Damage = {
				[0] = {critical_damage = 5, args = {82}},
				[3] = {critical_damage = 10, args = {65}},
				[8] = {critical_damage = 10},
				[11] = {critical_damage = 3},
				[12] = {critical_damage = 3},
				[15] = {critical_damage = 10},
				[16] = {critical_damage = 10},
				[17] = {critical_damage = 3},
				[18] = {critical_damage = 3},
				[25] = {critical_damage = 5, args = {53}},
				[26] = {critical_damage = 5, args = {54}},
				[35] = {critical_damage = 10, args = {67}, deps_cells = {25, 37}},
				[36] = {critical_damage = 10, args = {68}, deps_cells = {26, 38}},
				[37] = {critical_damage = 4, args = {55}},
				[38] = {critical_damage = 4, args = {56}},
				[43] = {critical_damage = 4, args = {61}, deps_cells = {53}},
				[44] = {critical_damage = 4, args = {62}, deps_cells = {54}},
				[47] = {critical_damage = 5, args = {63}, deps_cells = {51}},
				[48] = {critical_damage = 5, args = {64}, deps_cells = {52}},
				[51] = {critical_damage = 2, args = {59}},
				[52] = {critical_damage = 2, args = {60}},
				[53] = {critical_damage = 2, args = {57}},
				[54] = {critical_damage = 2, args = {58}},
				[55] = {critical_damage = 5, args = {81}},
				[83]	= {critical_damage = 3, args = {134}}, -- nose wheel                                  
				[84]	= {critical_damage = 3, args = {136}}, -- left wheel                                  
				[85]	= {critical_damage = 3, args = {135}}, -- right wheel
	},
	
	DamageParts = 
	{  
		[1] = "PhantomAir-oblomok-wing-r", -- wing R
		[2] = "PhantomAir-oblomok-wing-l", -- wing L
		[3] = "PhantomAir-oblomok-noise", -- nose
		[4] = "PhantomAir-oblomok-tail-r", -- tail
		[5] = "PhantomAir-oblomok-tail-l", -- tail
	},
	
	lights_data = {	typename = "collection", lights = {
    [1] = {typename = "collection",lights = {}},
	[2] = {typename = "collection",
			lights = {-- Landing light
					  {typename = "spotlight",
					   connector = "MAIN_SPOT_PTR_02",
					   argument = 209,
					   dir_correction = {elevation = math.rad(-1)}
					  },
					  {-- Landing/Taxi light
					   typename = "spotlight",
					   connector = "MAIN_SPOT_PTR_01",
					   argument = 208,
					   dir_correction = {elevation = math.rad(3)}
					  }
					 }
			},
    [3]	= {	typename = "collection",
								lights = {-- Left Position Light (red)
								{typename = "omnilight",
								 connector = "BANO_2",
								 color = {0.99, 0.11, 0.3},
								 pos_correction  = {0.1, 0, -0.2},
								 argument  = 190
								},
								 -- Right Position Light (green)
								{typename = "omnilight",
								connector = "BANO_1",
								color = {0, 0.894, 0.6},
								pos_correction = {0.1, 0, 0.2},
								argument  = 191
								},
								-- Tail Position Light (white)
								{typename = "omnilight",
								connector = "BANO_0",
								color = {1, 1, 1},
								pos_correction  = {0, 0, 0},
								argument  = 192
								}}
							},
    [4] = {typename = "collection",lights = {}},
	[5]	= {typename = "collection",lights = {}},
	}}
}

add_aircraft(PhantomAir)
